#### D.3.2.18 eigenvals

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  eigenvals(M); matrix M

Assume:
  eigenvalues of M in basefield

Return:

      list l;
        ideal l[1];
          number l[1][i];  i-th eigenvalue of M
        intvec l[2];
          int l[2][i];  multiplicity of i-th eigenvalue of M

Example:

    LIB "linalg.lib";
    ring R=0,x,dp;
    matrix M[3][3]=3,2,1,0,2,1,0,0,3;
    print(M);
    ==> 3,2,1,
    ==> 0,2,1,
    ==> 0,0,3
    eigenvals(M);
    ==> [1]:
    ==>    _[1]=2
    ==>    _[2]=3
    ==> [2]:
    ==>    1,2

User manual for Singular version 4-0-3, 2016, generated by texi2html.